> ## Documentation Index
> Fetch the complete documentation index at: https://docs.baselayer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Dmf Search Status

> Retrieve the status of the DMF search request.



## OpenAPI

````yaml /api-reference/openapi.json get /dmf/searches/{id}/status
openapi: 3.1.0
info:
  title: baselayer-api-service
  version: 0.1.0
servers:
  - url: https://api.baselayer.com/
security: []
paths:
  /dmf/searches/{id}/status:
    get:
      tags:
        - Death Master File
      summary: Get Dmf Search Status
      description: Retrieve the status of the DMF search request.
      operationId: get_dmf_search_status_dmf_searches__id__status_get
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Id
      responses:
        '200':
          description: Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1.DMFSearchStatusResponse'
            application/vnd.baselayer.v1+json:
              schema:
                $ref: '#/components/schemas/v1.DMFSearchStatusResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    v1.DMFSearchStatusResponse:
      description: >-
        Lightweight status view of a DMF search (used by ``GET
        /dmf/searches/{id}/status``).
      properties:
        id:
          description: The ID of the DMF search request
          format: uuid
          title: Id
          type: string
        name:
          description: The name of the person of interest
          examples:
            - Michael Smith
          maxLength: 250
          title: Name
          type: string
        ssn:
          description: The obfuscated social security number of the person of interest
          examples:
            - 621-34-2918
          title: Ssn
          type: string
        state:
          $ref: '#/components/schemas/v1.TaskState'
          description: The status of the DMF search request
          examples:
            - COMPLETED
      required:
        - id
        - name
        - ssn
        - state
      title: DMFSearchStatusResponse (v1)
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    v1.TaskState:
      enum:
        - PENDING
        - EXECUTING
        - COMPLETED
        - FAILED
        - CANCELLED
      title: TaskState
      type: string
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````